Bug 844103 - CVE-2012-3437 ImageMagick: Magick_png_malloc() size argument [fedora-all]
Summary: CVE-2012-3437 ImageMagick: Magick_png_malloc() size argument [fedora-all]
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ImageMagick
Version: 16
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-3437
TreeView+ depends on / blocked
 
Reported: 2012-07-28 22:54 UTC by Kurt Seifried
Modified: 2012-08-27 22:59 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-08-27 22:53:51 UTC


Attachments (Terms of Use)

Description Kurt Seifried 2012-07-28 22:54:04 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=844101

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]

Comment 1 Fedora Update System 2012-08-11 20:19:48 UTC
ImageMagick-6.7.0.10-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ImageMagick-6.7.0.10-6.fc16

Comment 2 Fedora Update System 2012-08-11 20:20:13 UTC
ImageMagick-6.7.5.6-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ImageMagick-6.7.5.6-4.fc17

Comment 3 Fedora Update System 2012-08-13 02:20:38 UTC
Package ImageMagick-6.7.0.10-6.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ImageMagick-6.7.0.10-6.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11746/ImageMagick-6.7.0.10-6.fc16
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2012-08-27 22:53:51 UTC
ImageMagick-6.7.5.6-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2012-08-27 22:59:16 UTC
ImageMagick-6.7.0.10-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.